Bug 1001701 - No validation of recalculation interval during creation of dynagroup definition
No validation of recalculation interval during creation of dynagroup definition
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.2
Unspecified Unspecified
low Severity low
: Alpha-x
: JON 3.2.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 10:34 EDT by Filip Brychta
Modified: 2014-01-02 15:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-08-27 10:34:18 EDT
Description of problem:
There is no validation for recalculation interval field and creation of dynagroup definition fails when recalculation interval is incorrect with following error message: 'Failure in datasource while processing ADD request.' I would be nice to have some better validation error message.

Version-Release number of selected component (if applicable):
Version: 3.2.0.ALPHA_QA
Build Number: 10b0467:adad71f

How reproducible:
Always

Steps to Reproduce:
1. try to create new dynagroup definition with correct name, correct expression and incorrect recalculation interval (i.e. 0.5)



Actual results:
'Failure in datasource while processing ADD request.'

Expected results:
Field validation error message.
Comment 1 Heiko W. Rupp 2013-08-28 06:00:03 EDT
master 2d946f7
Comment 2 Filip Brychta 2013-10-30 11:01:24 EDT
Verified on
Version: 3.2.0.ER4
Build Number: e413566:057b211

Note You need to log in before you can comment on or make changes to this bug.